We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Log4j recent vulnerability

Hello,

We are mainly using Aspose.Words, Aspose.PDF and Aspose.Words.Pdf2Word. We need to know if these libraries use log4j and needs to be patched?

Our developer account email is: arcsproject@tfsginc.net

Thanks,

Adnan

@asabir No, Aspose.Words does not have any built-in logging and does not useLog4j. There is no way to plug in frameworks like log4j.
Aspose.Words is not impacted by Log4j 2 vulnerability CVE-2021-44228.
Regarding other Aspose products, you should ask in the appropriate support forums.